﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>netcoreapp3.0</TargetFramework>
    <CodeAnalysisRuleSet>..\..\root.ruleset</CodeAnalysisRuleSet>
    <RootNamespace>Monosoft.Service.Zip2City</RootNamespace>
    <ApplicationIcon />
    <StartupObject />
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="ITUtil.Common.Base" Version="2.0.6" />
    <PackageReference Include="ITUtil.Common.Command" Version="2.0.9" />
    <PackageReference Include="ITUtil.Common.Config" Version="2.0.5" />
    <PackageReference Include="ITUtil.Common.Console" Version="2.0.2" />
    <PackageReference Include="ITUtil.Common.RabbitMQ" Version="2.0.11" />
    <PackageReference Include="Microsoft.CodeAnalysis.FxCopAnalyzers" Version="3.0.0">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.OpenApi" Version="1.1.4" />
    <PackageReference Include="Newtonsoft.Json" Version="12.0.3" />
    <PackageReference Include="RabbitMQ.Client" Version="6.0.0" />
    <PackageReference Include="StyleCop.Analyzers" Version="1.1.118">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
  </ItemGroup>

  <ItemGroup>
    <None Update="V1\Database.sql">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
